<?xml version='1.0' encoding='windows-1252' ?>
<!DOCTYPE ViewObject SYSTEM "jbo_03_01.dtd">

<ViewObject
   Name="ExpertiseAreas"
   SelectList="ExpertiseArea.PROD_ID, 
       ExpertiseArea.USER_ID, 
       ExpertiseArea.EXPERTISE_LEVEL, 
       Product.NAME, 
       Product.PROD_ID AS PROD_ID1"
   FromList="EXPERTISE_AREAS ExpertiseArea, PRODUCTS Product"
   Where="ExpertiseArea.PROD_ID = Product.PROD_ID"
   OrderBy="NAME"
   BindingStyle="OracleName"
   CustomQuery="false"
   FetchMode="FETCH_AS_NEEDED"
   UseGlueCode="false" >
   <Data>
      <Property Name ="COMPLETE_LIBRARY" Value ="FALSE" />
      <Property Name ="ID" Value ="3fd1978d-010a-1000-80c2-8d9088295bcf::::ViewObject" />
      <Property Name ="IS_ABSTRACT" Value ="FALSE" />
      <Property Name ="IS_ACTIVE" Value ="FALSE" />
      <Property Name ="IS_LEAF" Value ="FALSE" />
      <Property Name ="IS_ROOT" Value ="FALSE" />
      <Property Name ="VISIBILITY" Value ="PUBLIC" />
   </Data>
   <DesignTime>
      <Attr Name="_version" Value="10.1.3.36.73" />
      <Attr Name="_codeGenFlag2" Value="Access|VarAccess" />
   </DesignTime>
   <EntityUsage
      Name="ExpertiseArea"
      Entity="oracle.srdemo.model.entities.ExpertiseArea" >
      <Data>
         <Property Name ="COMPLETE_LIBRARY" Value ="FALSE" />
         <Property Name ="ID" Value ="3fd19797-010a-1000-80c8-8d9088295bcf::queries.ExpertiseAreas$ExpertiseArea::EntityObjectInstance" />
         <Property Name ="IS_ABSTRACT" Value ="FALSE" />
         <Property Name ="IS_ACTIVE" Value ="FALSE" />
         <Property Name ="IS_LEAF" Value ="FALSE" />
         <Property Name ="IS_ROOT" Value ="FALSE" />
         <Property Name ="VISIBILITY" Value ="PUBLIC" />
      </Data>
      <DesignTime>
         <Attr Name="_queryClause" Value="true" />
         <Attr Name="_queryOrderBy" Value="NAME" />
         <Attr Name="_queryWhere" Value="ExpertiseArea.PROD_ID = Product.PROD_ID" />
      </DesignTime>
   </EntityUsage>
   <EntityUsage
      Name="Product"
      Entity="oracle.srdemo.model.entities.Product"
      Association="oracle.srdemo.model.entities.associations.ExpertiseAreasForProduct"
      AssociationEnd="oracle.srdemo.model.entities.associations.ExpertiseAreasForProduct.Products"
      SourceUsage="oracle.srdemo.model.queries.ExpertiseAreas.ExpertiseArea"
      ReadOnly="true"
      Reference="true" >
      <Data>
         <Property Name ="COMPLETE_LIBRARY" Value ="FALSE" />
         <Property Name ="ID" Value ="3fd19797-010a-1000-80c9-8d9088295bcf::queries.ExpertiseAreas$Product::EntityObjectInstance" />
         <Property Name ="IS_ABSTRACT" Value ="FALSE" />
         <Property Name ="IS_ACTIVE" Value ="FALSE" />
         <Property Name ="IS_LEAF" Value ="FALSE" />
         <Property Name ="IS_ROOT" Value ="FALSE" />
         <Property Name ="VISIBILITY" Value ="PUBLIC" />
      </Data>
      <DesignTime>
         <Attr Name="_queryClause" Value="false" />
         <AttrArray Name="_dstAttributes">
            <Item Value="oracle.srdemo.model.entities.Product.ProdId" />
         </AttrArray>
         <AttrArray Name="_srcAttributes">
            <Item Value="oracle.srdemo.model.entities.ExpertiseArea.ProdId" />
         </AttrArray>
      </DesignTime>
   </EntityUsage>
   <ViewAttribute
      Name="ProdId"
      IsNotNull="true"
      EntityAttrName="ProdId"
      EntityUsage="ExpertiseArea"
      AliasName="PROD_ID" >
      <Data>
         <Property Name ="ATTR_LOAD" Value ="LOAD_EACH" />
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd1978d-010a-1000-80c3-8d9088295bcf::queries.ExpertiseAreas::ViewObjectAttribute" />
         <Property Name ="IS_NOT_NULL" Value ="TRUE" />
         <Property Name ="IS_OVERRIDE_ATTR" Value ="FALSE" />
         <Property Name ="IS_PERSISTENT" Value ="TRUE" />
         <Property Name ="IS_QUERIABLE" Value ="TRUE" />
         <Property Name ="IS_SUPER_ATTR" Value ="FALSE" />
         <Property Name ="IS_UNIQUE" Value ="FALSE" />
         <Property Name ="IS_UPDATEABLE" Value ="UPDATEABLE" />
         <Property Name ="IS_VISIBLE" Value ="TRUE" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
   </ViewAttribute>
   <ViewAttribute
      Name="UserId"
      IsNotNull="true"
      EntityAttrName="UserId"
      EntityUsage="ExpertiseArea"
      AliasName="USER_ID" >
      <Data>
         <Property Name ="ATTR_LOAD" Value ="LOAD_EACH" />
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd19797-010a-1000-80c4-8d9088295bcf::queries.ExpertiseAreas::ViewObjectAttribute" />
         <Property Name ="IS_NOT_NULL" Value ="TRUE" />
         <Property Name ="IS_OVERRIDE_ATTR" Value ="FALSE" />
         <Property Name ="IS_PERSISTENT" Value ="TRUE" />
         <Property Name ="IS_QUERIABLE" Value ="TRUE" />
         <Property Name ="IS_SUPER_ATTR" Value ="FALSE" />
         <Property Name ="IS_UNIQUE" Value ="FALSE" />
         <Property Name ="IS_UPDATEABLE" Value ="UPDATEABLE" />
         <Property Name ="IS_VISIBLE" Value ="TRUE" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
   </ViewAttribute>
   <ViewAttribute
      Name="ExpertiseLevel"
      IsNotNull="true"
      EntityAttrName="ExpertiseLevel"
      EntityUsage="ExpertiseArea"
      AliasName="EXPERTISE_LEVEL" >
      <Data>
         <Property Name ="ATTR_LOAD" Value ="LOAD_EACH" />
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd19797-010a-1000-80c5-8d9088295bcf::queries.ExpertiseAreas::ViewObjectAttribute" />
         <Property Name ="IS_NOT_NULL" Value ="TRUE" />
         <Property Name ="IS_OVERRIDE_ATTR" Value ="FALSE" />
         <Property Name ="IS_PERSISTENT" Value ="TRUE" />
         <Property Name ="IS_QUERIABLE" Value ="TRUE" />
         <Property Name ="IS_SUPER_ATTR" Value ="FALSE" />
         <Property Name ="IS_UNIQUE" Value ="FALSE" />
         <Property Name ="IS_UPDATEABLE" Value ="UPDATEABLE" />
         <Property Name ="IS_VISIBLE" Value ="TRUE" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
   </ViewAttribute>
   <ViewAttribute
      Name="Name"
      IsNotNull="true"
      EntityAttrName="Name"
      EntityUsage="Product"
      AliasName="NAME" >
      <Data>
         <Property Name ="ATTR_LOAD" Value ="LOAD_EACH" />
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd19797-010a-1000-80c6-8d9088295bcf::queries.ExpertiseAreas::ViewObjectAttribute" />
         <Property Name ="IS_NOT_NULL" Value ="TRUE" />
         <Property Name ="IS_OVERRIDE_ATTR" Value ="FALSE" />
         <Property Name ="IS_PERSISTENT" Value ="TRUE" />
         <Property Name ="IS_QUERIABLE" Value ="TRUE" />
         <Property Name ="IS_SUPER_ATTR" Value ="FALSE" />
         <Property Name ="IS_UNIQUE" Value ="FALSE" />
         <Property Name ="IS_UPDATEABLE" Value ="UPDATEABLE" />
         <Property Name ="IS_VISIBLE" Value ="TRUE" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
   </ViewAttribute>
   <ViewAttribute
      Name="ProdId1"
      IsNotNull="true"
      EntityAttrName="ProdId"
      EntityUsage="Product"
      AliasName="PROD_ID1" >
      <Data>
         <Property Name ="ATTR_LOAD" Value ="LOAD_EACH" />
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd19797-010a-1000-80c7-8d9088295bcf::queries.ExpertiseAreas::ViewObjectAttribute" />
         <Property Name ="IS_NOT_NULL" Value ="TRUE" />
         <Property Name ="IS_OVERRIDE_ATTR" Value ="FALSE" />
         <Property Name ="IS_PERSISTENT" Value ="TRUE" />
         <Property Name ="IS_QUERIABLE" Value ="TRUE" />
         <Property Name ="IS_SUPER_ATTR" Value ="FALSE" />
         <Property Name ="IS_UNIQUE" Value ="FALSE" />
         <Property Name ="IS_UPDATEABLE" Value ="UPDATEABLE" />
         <Property Name ="IS_VISIBLE" Value ="TRUE" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
   </ViewAttribute>
</ViewObject>
